LOGSAVE(8)

NOM
logsave - Enregistrer la sortie d'une commande dans un fichier journal

SYNOPSIS
logsave [ -asv ] fichier_journal commande [ ... ]

DESCRIPTION
Le programme logsave exécute une commande avec ses paramètres, puis enregistre une copie de sa sortie dans le fichier_journal. Si le répertoire contenant le fichier_journal n'existe pas, logsave gardera la sortie en mémoire jusqu'à ce qu'il puisse l'écrire. Une copie de la sortie sera également envoyée sur la sortie standard.

Si la commande n'est qu'un tiret (« - »), alors logsave prendra son entrée depuis l'entrée standard et la sauvegardera dans le fichier_journal au lieu d'exécuter un programme.

logsave est utile pour sauvegarder la sortie de scripts de démarrage jusqu'à ce que la partition /var soit montée, pour que la sortie puisse être enregistrée dans /var/log.

OPTIONS

-a  Avec cette option, la sortie sera ajoutée à la fin du fichier_journal, plutôt que de remplacer son contenu.

-s  Cette option force logsave à ignorer, pour l'écriture dans le fichier journal, tout texte compris entre un Contrôle-A (001 en ASCII : début d'en-tête) et un Contrôle-B (002 en ASCII : début de texte). Cela permet de laisser les barres de progression visibles pour les utilisateurs, sans pour autant les enregistrer dans le fichier journal.

-v  Avec cette option, logsave sera plus bavard pour l'utilisateur.

AUTEUR
Theodore Ts'o (tytso@mit.edu)

VOIR AUSSI
fsck(8)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.